<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Note List</title>
    <style>
        .header {
            background-color: teal;
            color: white;
            height: 60px;
            padding: 10px;
            text-align: center;
        }
        table {
            border: 2px solid white;
            width: 80%;
            font-size: 20px;
            text-align: center;
            position: fixed;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
        }
        .headtable th {
            border: 2px solid white;
            border-collapse: collapse;
            background-color: teal;
            height: 50px;
        }
        .bodytable td {
            border: 2px solid white;
            border-collapse: collapse;
            background-color: steelblue;
        }
        * {
            font-family: Georgia;
            color: white;
        }
    </style>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" crossorigin="anonymous">
    <ul class="nav justify-content-center" style="background-color:white;">
        <li class="nav-item" >
            <a class="nav-link active" aria-current="page" href="#">Note List</a>
        </li>
        <li class="nav-item" >
            <a class="nav-link" href="add-note">Add Note</a>
        </li>
        <li class="nav-item" >
            <a class="nav-link" href="note-list">Note Card</a>
        </li>
    </ul>
  </head>
  <center>
    <body style="background-color: lightblue;">
        <h1 class="header">Note List</h1>
        <table>
          <tr class="headtable">
            <th>To</th>
            <th>From</th>
            <th>Title</th>
            <th>Message</th>
          </tr>
          <!-- TODO loop from Note model -->
          <!-- EXAMPLE SECTION -->
          {% for i in notes %}
            <tr class="bodytable">
              <td>{{i.receiver}}</td>
              <td>{{i.sender}}</td>
              <td>{{i.title}}</td>
              <td>{{i.message}}</td>
            </tr>
          {% endfor %}
          <!-- END SECTION -->
        </table>
      </body>
  </center>
</html>